Name:          global
Version:       6.6.13
Release:       %mkrel 1
Summary:       GNU GLOBAL (source code tagging system)
Group:         Development/Tools
License:       GPLv3
URL:           https://www.gnu.org/software/global/
Source0:       https://ftp.gnu.org/pub/gnu/global/global-%{version}.tar.gz

BuildRequires: perl
BuildRequires: texinfo
BuildRequires: pkgconfig(ncurses)

%description
GNU GLOBAL is a source code tagging system that works the
same way across diverse environments, such as Emacs editor,
Vi editor, Less viewer, Bash shell, various web browsers, etc.

%prep
%autosetup -n global-%{version} -p1

sed -i 's/\.la/.so/g' gtags.conf.in

%build
%configure --disable-static
%make_build

%install
%make_install

for f in AUTHORS COPYING COPYING.LIB ChangeLog FAQ INSTALL LICENSE NEWS README THANKS DONORS BUILD_TOOLS README.PATCHES; do
  rm -rf %{buildroot}%{_datadir}/%{name}/$f
done

# python shebang
%py3_shebang_fix %{buildroot}%{_datadir}/gtags/script/*.py

%files
%license COPYING COPYING.LIB LICENSE
%doc AUTHORS ChangeLog FAQ NEWS README THANKS
%doc DONORS BUILD_TOOLS README.PATCHES
%{_bindir}/global
%{_bindir}/gtags
%{_bindir}/globash
%{_bindir}/gozilla
%{_bindir}/gtags-cscope
%{_bindir}/htags
%{_bindir}/htags-server
%dir %{_libdir}/gtags/
%{_libdir}/gtags/exuberant-ctags.so
%{_libdir}/gtags/pygments-parser.so
%{_libdir}/gtags/universal-ctags.so
%{_libdir}/gtags/user-custom.so
%{_datadir}/gtags/
%{_infodir}/global.info*
%{_mandir}/man1/global.1*
%{_mandir}/man1/globash.1*
%{_mandir}/man1/gozilla.1*
%{_mandir}/man1/gtags-cscope.1*
%{_mandir}/man1/gtags.1*
%{_mandir}/man1/htags-server.1*
%{_mandir}/man1/htags.1*
%{_mandir}/man5/gtags.conf.5*



%changelog
* Sun Sep 15 2024 daviddavid <daviddavid> 6.6.13-1.mga10
+ Revision: 2096706
- new version: 6.6.13

* Wed Jan 10 2024 daviddavid <daviddavid> 6.6.11-1.mga10
+ Revision: 2029361
- new version: 6.6.11

* Thu Nov 02 2023 daviddavid <daviddavid> 6.6.10-1.mga10
+ Revision: 2003509
- new version: 6.6.10

* Mon Jan 09 2023 daviddavid <daviddavid> 6.6.9-1.mga9
+ Revision: 1931987
- new version: 6.6.9

* Tue Nov 22 2022 daviddavid <daviddavid> 6.6.8-1.mga9
+ Revision: 1910154
- new version: 6.6.8

* Fri Mar 18 2022 umeabot <umeabot> 6.6.7-2.mga9
+ Revision: 1797625
- Mageia 9 Mass Rebuild

* Sat Dec 11 2021 wally <wally> 6.6.7-1.mga9
+ Revision: 1761439
- new version 6.6.7

* Thu Mar 04 2021 daviddavid <daviddavid> 6.6.5-1.mga9
+ Revision: 1697966
- new version: 6.6.5
- remove static and .la files

* Tue Jun 30 2020 joequant <joequant> 6.6.4-3.mga8
+ Revision: 1600685
- update gcc10
- fix gcc10 build

* Thu Feb 20 2020 umeabot <umeabot> 6.6.4-2.mga8
+ Revision: 1546128
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 6.6.4-1.mga8
+ Revision: 1486086
- new version: 6.6.4
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 15 2019 daviddavid <daviddavid> 6.6.3-1.mga7
+ Revision: 1377199
- new version: 6.6.3
- fix some owner dir

* Sun Sep 02 2018 semiletov <semiletov> 6.6.2-1.mga7
+ Revision: 1256283
- ncurses BR has been added
- imported package global

